=== modified file 'tests/lib/randgen/randgen_test_execution.py'
--- tests/lib/randgen/randgen_test_execution.py	2011-03-10 19:25:03 +0000
+++ tests/lib/randgen/randgen_test_execution.py	2011-03-16 16:40:05 +0000
@@ -59,6 +59,7 @@
         # analyze results
         self.current_test_status = self.process_randgen_output()
         self.set_server_status(self.current_test_status)
+        self.server_manager.reset_servers(self.name)
  
 
     
@@ -89,7 +90,8 @@
         randgen_output.close()
         randgen_file = open(randgen_outfile,'r')
         output = ''.join(randgen_file.readlines())
-        #print output
+        if self.debug:
+            self.logging.debug(output)
         randgen_file.close()
 
         if self.debug:

=== added file 'tests/randgen_tests/innodb_trx_log/multi_thread1_crash_recover.cnf'
--- tests/randgen_tests/innodb_trx_log/multi_thread1_crash_recover.cnf	1970-01-01 00:00:00 +0000
+++ tests/randgen_tests/innodb_trx_log/multi_thread1_crash_recover.cnf	2011-03-14 22:22:08 +0000
@@ -0,0 +1,8 @@
+[test_info]
+comment = single threaded test
+
+[test_command]
+command = ./gentest.pl --gendata=conf/drizzle/translog_drizzle.zz --grammar=conf/drizzle/translog_concurrent1.yy --Reporter=DrizzleInnoTrxLogCrashRecovery  --queries=250 --threads=3
+
+[test_servers]
+servers = [[--innodb.replication-log --plugin-add=shutdown_function ],[]]

=== modified file 'tests/randgen_tests/main/database_consistency_after_recovery.disabled'
--- tests/randgen_tests/main/database_consistency_after_recovery.disabled	2011-02-24 22:01:43 +0000
+++ tests/randgen_tests/main/database_consistency_after_recovery.disabled	2011-03-10 22:34:54 +0000
@@ -1,8 +1,8 @@
 [test_info]
-comment = database recovery test
+comment = database recovery test.  currently disabled while we examine the validity / usefulness of the reporter
 
 [test_command]
-command = ./gentest.pl --gendata=conf/transactions/transactions.zz --grammar=conf/transactions/transactions.yy --reporters=DrizzleRecoveryConsistency --queries=1000 --threads=3
+command = ./gentest.pl --gendata=conf/drizzle/drizzle.zz --grammar=conf/drizzle/drizzle.yy --reporters=DrizzleRecoveryConsistency --queries=1000 --threads=3
 
 [test_servers]
 servers = [[]]

=== added file 'tests/randgen_tests/main/database_integrity_after_recovery.cnf'
--- tests/randgen_tests/main/database_integrity_after_recovery.cnf	1970-01-01 00:00:00 +0000
+++ tests/randgen_tests/main/database_integrity_after_recovery.cnf	2011-03-10 22:34:54 +0000
@@ -0,0 +1,8 @@
+[test_info]
+comment = database recovery test
+
+[test_command]
+command = ./gentest.pl --gendata=conf/drizzle/drizzle.zz --grammar=conf/drizzle/drizzle.yy --reporters=DrizzleRecovery --queries=1000 --threads=3
+
+[test_servers]
+servers = [[]]

=== removed file 'tests/randgen_tests/main/database_integrity_after_recovery.disabled'
--- tests/randgen_tests/main/database_integrity_after_recovery.disabled	2011-02-24 22:01:43 +0000
+++ tests/randgen_tests/main/database_integrity_after_recovery.disabled	1970-01-01 00:00:00 +0000
@@ -1,8 +0,0 @@
-[test_info]
-comment = database recovery test
-
-[test_command]
-command = ./gentest.pl --gendata=conf/drizzle/drizzle.zz --grammar=conf/drizzle/drizzle.yy --reporters=DrizzleRecovery --queries=1000 --threads=3
-
-[test_servers]
-servers = [[]]

=== added file 'tests/randgen_tests/slave_plugin/multi_thread1_crash_recover.cnf'
--- tests/randgen_tests/slave_plugin/multi_thread1_crash_recover.cnf	1970-01-01 00:00:00 +0000
+++ tests/randgen_tests/slave_plugin/multi_thread1_crash_recover.cnf	2011-03-14 22:22:08 +0000
@@ -0,0 +1,8 @@
+[test_info]
+comment = single threaded test
+
+[test_command]
+command = ./gentest.pl --gendata=conf/drizzle/translog_drizzle.zz --grammar=conf/drizzle/translog_concurrent1.yy --Reporter=DrizzleSlavePluginCrashRecover  --queries=100 --threads=3
+
+[test_servers]
+servers = [[--innodb.replication-log --plugin-add=shutdown_function ],[--plugin-add=slave --slave.config-file=$MASTER_SERVER_SLAVE_CONFIG]]

